<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let Str1 = "dog";
    let possibleCombinations = (str) => {
        let combinations = [];
        for (let i = 0; i < str.length; i++) {
            for (let j = i + 1; j < str.length + 1; j++) {
                combinations.push(str.slice(i, j));
            }
        }
        return combinations;
    }
    console.log(possibleCombinations(Str1))
</script>
</html>